Subject: [clisp-list] Suse Linux 8.2 compilation issues: libtermcap

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Wed Feb 26 01:41:08 2003

Hi,

Bruno Haible wrote:
>libtermcap is a permanent security problem. Better remove it from your
>system, and use libncurses instead.

Thanks. Now I have to figure out why this (8.1) Suse Linux system provides
  lrwxrwxrwx    1 root     root           18 Nov 28 11:19 libncursesw.so.5 -> libncursesw.so.5.2                                                                                  
  -rwxr-xr-x    1 root     root       337823 Sep  9 18:04 libncursesw.so.5.2
but no libncurses witout trailing -w.

Since -DUNICODE CLISP uses 16bit characters internally, why does it not require libncursesw instead of libncurses? From what I found, that seems to be the UTF/UCS/16bit version of it.
http://mail.gnome.org/archives/mc-devel/2001-October/msg00052.html

Anyway, I don't know why CLISP would need termcap/ncurses anyway. So I'm going to compile without (I don't need the keyboard-stream -- I'm not going to ask for an invisible password).

Regards,
	Jorg Hohle.